ScoopParser.cxx File Reference
`#include <cmath>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPictBitmap.hxx"`
`#include "MWAWPictData.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "ScoopParser.hxx"`

## Classes

struct | ScoopParserInternal::Shape
| Internal: the shape of a ScoopParser. More...
struct | ScoopParserInternal::Special
| Internal: a special field of a ScoopParser. More...
struct | ScoopParserInternal::Paragraph
| Internal: a paragraph of a ScoopParser. More...
struct | ScoopParserInternal::TextZoneShape
| Internal: a text zone shape of a ScoopParser. More...
struct | ScoopParserInternal::TextZone
| Internal: a text zone of a ScoopParser. More...
struct | ScoopParserInternal::State
| Internal: the state of a ScoopParser. More...
class | ScoopParserInternal::SubDocument
| Internal: the subdocument of a ScoopParser. More...

## Namespaces

namespace | ScoopParserInternal
| Internal: the structures of a ScoopParser.

## Variables

constexpr int | ScoopParserInternal::MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when reading nested shape lists